﻿@model Persona
@{
    Layout = "_LayoutLogin";
}
<!-- Outer Row -->
<div class="col-xl-10 col-lg-12 col-md-9">
    <div class="card o-hidden border-0 shadow-lg my-5">
        <div class="card-body p-0">
            <!-- Nested Row within Card Body -->
            <div class="row">
                <div class="col-lg-6 d-none d-lg-block bg-danger"></div>
                <div class="col-lg-6">
                    <div class="p-5">
                        <form id="user"
                              data-ajax="true"
                              asp-action="CambioClave"
                              asp-antiforgery="true"
                              method="post">
                            <div class="form-group">
                                <input type="text" class="validate[required,minSize[6]] form-control form-control-user" name="aleatorio"
                                       placeholder="Ingrese código confirmación" onkeypress="return isNumber(event)" maxlength="6">
                            </div>
                            <div class="form-group">
                                <input type="password" id="Txt_Clave" name="contrasena"
                                       class="validate[required,minSize[8],maxSize[15],equals[Txt_RepClave]]  validation[custom[password]] form-control input-md"
                                       placeholder="Contraseña">
                            </div>
                            <div class="form-group">
                                <input type="password" id="Txt_RepClave" name="confirmar"
                                       class="validate[required,minSize[8],maxSize[15],equals[Txt_Clave]]  validation[custom[password]] form-control input-md"
                                       placeholder="Confirmar Contraseña">
                            </div>
                            <input type="submit" class="btn btn-primary btn-user btn-block" value="Cambiar Contraseña" />
                        </form>
                        <hr>
                        <div class="text-center">
                            <a asp-area="" asp-controller="Persona" asp-action="Index" class="small">
                                Crear
                                cuenta
                            </a>
                        </div>
                        <div class="text-center">
                            <a asp-area="" asp-controller="Persona" asp-action="Login" class="small">
                                ¿Tienes
                                una cuenta? inicia sesión
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">
                            <!-- Titulo -->
                            Mensaje
                        </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        @ViewBag.Mensaje
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" data-dismiss="modal" >Aceptar</button>

                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="modalCambio" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">
                            <!-- Titulo -->
                            Mensaje
                        </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        @ViewBag.MensajeC
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" data-dismiss="modal"
                                onclick="location.href='@Url.Action("Login", "Persona")'">
                            Aceptar
                        </button>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
@if (ViewBag.Mensaje != null)
{
    <script type="text/javascript">
        $("#exampleModal").modal("show");
    </script>
}
@if (ViewBag.MensajeC != null)
{
    <script type="text/javascript">
        $("#modalCambio").modal("show");
    </script>
}
<script type="text/javascript">
    $(document).ready(function () {
        $("#user").validationEngine({ binded: false, autoHidePrompt: true, autoHideDelay: 1500, fadeDuration: 300, showOneMessage: true, promptPosition: "bottomLeft" });
    });
</script>
